
# We are inside <VirtualHost ...>

ServerName {core/web_host}
ServerAlias www.{core/web_host}
ServerAdmin webmaster@{core/web_host}
DocumentRoot /usr/share/gforge/src/www
DirectoryIndex index.html index.php

<IfModule mod_userdir.c>
  UserDir disabled
</IfModule>

# Define configuration/env variables for passing passwords and other secrets to PHP
<Directory /usr/share/gforge/src/www>
  Include /etc/gforge/httpd.conf.d/secrets.inc
</Directory>

<Location /projects>
  ForceType application/x-httpd-php
</Location>
<Location /users>
  ForceType application/x-httpd-php
</Location>

Include /etc/gforge/httpd.conf.d/plugin-*.inc

Alias /images/ /usr/share/gforge/src/www/images/
Alias /scripts/coolfieldset/ /usr/share/gforge/src/lib/vendor/coolfieldset/
Alias /scripts/jquery/ /usr/share/gforge/src/lib/vendor/jquery/
Alias /scripts/jquery-ui/ /usr/share/gforge/src/lib/vendor/jquery-ui/
Alias /scripts/jquery-tipsy/ /usr/share/gforge/src/lib/vendor/jquery-tipsy/
Alias /scripts/jquery-storage/ /usr/share/gforge/src/lib/vendor/jquery-storage/
Alias /scripts/jquery-simpletreemenu/ /usr/share/gforge/src/lib/vendor/jquery-simpletreemenu/
Alias /scripts/prototype/ /usr/share/gforge/src/lib/vendor/prototype/
Alias /scripts/scriptaculous/ /usr/share/gforge/src/lib/vendor/scriptaculous/
Alias /scripts/yui/ /usr/share/gforge/src/lib/vendor/yui/

# For FusionForge without DNS delegation, uncomment this
# and remove 30-vhosts-projects.conf
# Include /etc/gforge/httpd.conf.d/projects-in-mainvhost.inc

